Package org.jboss.resteasy.plugins.providers.multipart

## Class ListMultipartReader

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.ListMultipartReader

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<List<?>>`

      @Provider
      @Consumes("multipart/*")
      public class ListMultipartReader
      extends Object
      implements javax.ws.rs.ext.MessageBodyReader<List<?>>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.ws.rs.ext.Providers` | `workers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListMultipartReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isReadable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `List<?>` | `readFrom​(Class<List<?>> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders, InputStream entityStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### workers

          @Context
          protected javax.ws.rs.ext.Providers workers

  - ### Constructor Detail

    - #### ListMultipartReader

          public ListMultipartReader()

  - ### Method Detail

    - #### isReadable

          public boolean isReadable​(Class<?> type,
                                    Type genericType,
                                    Annotation[] annotations,
                                    javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<List<?>>`

    - #### readFrom

          public List<?> readFrom​(Class<List<?>> type,
                                  Type genericType,
                                  Annotation[] annotations,
                                  javax.ws.rs.core.MediaType mediaType,
                                  javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders,
                                  InputStream entityStream)
                           throws IOException,
                                  javax.ws.rs.WebApplicationException

      Specified by:
        `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<List<?>>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`